Bug 173454 - Loading crash module doesnt crash machine
Loading crash module doesnt crash machine
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-17 01:30 EST by Wade Mealing
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 11:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2005-11-17 01:30:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051103 Fedora/1.5-0.5.0.rc1 Firefox/1.5

Description of problem:
Attempting to test netdump, so that I can find out why my machine is crashing, and oddly, the crash.o module loads... 

[root@x40 kernel]# lsmod | grep crash
crash                   3137  0

Module loads..

Messages appear in logs..

[root@x40 kernel]# tail -n 1 /var/log/messages
Nov 17 16:18:02 x40 kernel: crash memory driver: version 1.0




Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1665_FC5

How reproducible:
Always

Steps to Reproduce:
1.  Boot this kernel
2.  service netdump restart
3.  modprobe crash
  

Actual Results:  Module loads correctly

Expected Results:  Fire and brimstone fall from the sky   ! the world comes to end end ! The kernel repents for the end is near !

I expect it to crash and the netdump to catch the vmcore

Additional info:
Comment 1 Dave Jones 2005-11-21 11:31:22 EST
that's not what it does :)
it's the kernel side component of the 'crash' debugging utility.

Note You need to log in before you can comment on or make changes to this bug.